Loading...
Searching...
No Matches
CameraPoseProcessor Class Referenceabstract

The CameraPoseProcessor class is an interface to extract camera pose data generated by the pcl_kinfu_app program. More...

`#include </build/pcl-Jv4Ahb/pcl-1.14.0+dfsg/gpu/kinfu/tools/camera_pose.h>`

Inheritance diagram for CameraPoseProcessor:

## Public Types

using | Ptr = pcl::shared_ptr< CameraPoseProcessor >
using | ConstPtr = pcl::shared_ptr< const CameraPoseProcessor >

## Public Member Functions

virtual | ~CameraPoseProcessor ()=default
virtual void | processPose (const Eigen::Affine3f &pose)=0
| process the camera pose, this method is called at every frame.

## Detailed Description

The CameraPoseProcessor class is an interface to extract camera pose data generated by the pcl_kinfu_app program.

Use the CameraPoseWriter implementation if writing the camera pose to a file is all you need, or provide an alternative implementation.

Definition at line 54 of file camera_pose.h.

## Member Typedef Documentation

## ConstPtr

using CameraPoseProcessor::ConstPtr = pcl::shared_ptr<const CameraPoseProcessor>

Definition at line 58 of file camera_pose.h.

## Ptr

using CameraPoseProcessor::Ptr = pcl::shared_ptr<CameraPoseProcessor>

Definition at line 57 of file camera_pose.h.

## Constructor & Destructor Documentation

## ~CameraPoseProcessor()

virtual CameraPoseProcessor::~CameraPoseProcessor | ( |  | ) |

virtual default

## Member Function Documentation

## processPose()

virtual void CameraPoseProcessor::processPose | ( | const Eigen::Affine3f & | pose | ) |

pure virtual

process the camera pose, this method is called at every frame.

Implemented in CameraPoseWriter.

The documentation for this class was generated from the following file:

- /build/pcl-Jv4Ahb/pcl-1.14.0+dfsg/gpu/kinfu/tools/camera_pose.h